> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Employer Check Processed Webhook Lite

> A lite version of the Employer Check Processed Event Webhook that returns employee_checks as an array of employeeCheckIDs.

This endpoint is a lite version of the [Employer Check Processed Event Webhook](/reference/webhooks/employer-check-processed), this endpoint specifies what will be sent to your 'Employer Check Processed' Webhook. Zeal POSTs a request containing the processed Employer Check Object (checks are typically processed at 2:00 PM PT). Unlike the [Employer Check Processed Event Webhook](/reference/webhooks/employer-check-processed), the lite webhook returns `employee_checks` processed as an array of `employeeCheckID`'s rather than an entire array of employee check objects. You can update the webhook URL you want Zeal to hit on the 'API' Page of the Zeal Dashboard.

***

## Request Body

| attribute | type | description |
| - | - | - |
| test | boolean | Whether the Employer Check was created in the Test Mode |
| companyID | string | Zeal companyID of Employer |
| business\_name | string | Business Name of Employer |
| employerCheckID | string | Employer Check ID |
| status | string | Status of shift. Will hold the following values: `processed` |
| reporting\_periods | array | List of reporting periods contained in this employer check.<br />Show child attributes:<br />**reportingPeriodID** - type: string - description: Reporting Period ID |
| totals | object | Totals for this employer check stored in an object.<br />Show child attributes:<br />**gross\_pay** - type: number - description: Gross pay for an employee (total pay before taxes)<br />**net\_pay** - type: number - description: Net pay for an employee (total pay after taxes = `gross_pay - total_employee_taxes`)<br />**total\_employer\_taxes** - type: number - required: Total amount of employer taxes<br />**company\_debit** - type: number - description: Total cost for the company (`net_pay + total_employee_taxes + total_employer_taxes`)<br />**total\_employee\_taxes** - type: number - description: Total amount of employee taxes for this employer check run |
| employee\_checks | array | Returns array of all employeeCheckIDs moved to processed |

***

## Returns

Doesn't return anything but rather POSTs the processed Employer Check Object to your webhook URL.

***

## Raw Content Example

```json theme={null}
{
  "test": true,
  "companyID": "083472985",
  "business_name": "Test Company",
  "employerCheckID": "123456789",
  "status": "processed",
  "reporting_periods": [
    "01739fc4cfd84c2e93dba5e802d1dda1"
  ],
  "totals": {
    "gross_pay": 40,
    "net_pay": 36.94,
    "total_employer_taxes": 3.06,
    "company_debit": 43.06,
    "total_employee_taxes": 3.06
  },
  "employee_checks": [
    "9827465739"
  ],
  "timestamp": "2024-01-21T21:29:42Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.